Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3790 - xdm crashes machine when a user logs out
Summary: xdm crashes machine when a user logs out
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-29 04:31 UTC by d_martin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-07 14:31:48 UTC


Attachments (Terms of Use)

Description d_martin 1999-06-29 04:31:10 UTC
I have RH 5.1 installed, and I'm running xdm with a Diamond
3000GT 4MB video card and the XF86S3V X server.   Whenever
any user logs out of their X session, the screen goes wavy
and the system completely locks up.  It does not matter if
the user is root or a non-root user.

I have tried updating the RPMs to the latest XFree86 RPMs
available for RH 5.1 and this did not help.  I also have
tried changing window managers, and the problem occurs on
all 5 window managers I've tried (FVWM, FVWM2, WindowMaker,
E, and Afterstep).

There doesn't seem to be a problem with this if I use startx
to start my session, only xdm.  The X server is running in
16bpp mode at 1600x1200 (but the problem happens no matter
what resolution I use, I've tried others)

I doubt this is relevant, but I also have a 12MB Voodoo2
card.

I am pretty good at configuring X and I'm also pretty
knowledgable about my hardware, so please feel free to
contact me at d_martin@worldnet.att.net or
dmartin@baynetworks.com if you would like more information
about this problem.  I have included all the information
that I can guess would be relevant, but I could easily have
left things out... :)

I would appreciate all e-mail regarding this be cc: to both
dmartin@lancity.com  and
d_martin@worldnet.att.net

Thanks!

Comment 1 d_martin 1999-06-29 04:32:59 UTC
Oh, the chip in the video card is an S3 Virge.

Comment 2 David Lawrence 1999-07-01 19:10:59 UTC
We do not currently have one of the cards in question here so we may
need to get one into the lab before we can accurately test this bug. I
am assigning it to a developer to see if he has any further
suggestions.

Comment 3 Preston Brown 1999-07-06 14:51:59 UTC
my suggestion is to add the line:

DisplayManager._0.terminateServer: true to your
/etc/X11/xdm/xdm-config file and see if the problem goes away.

Comment 4 d_martin 1999-07-06 23:47:59 UTC
Thanks. I did that and it fixed the problem.


Note You need to log in before you can comment on or make changes to this bug.